## GoComboText

GoComboText

## Synopsis

    #define             GO_TYPE_COMBO_TEXT
    #define             GO_COMBO_TEXT                       (obj)
    #define             IS_GO_COMBO_TEXT                    (obj)
                        GoComboText;
    enum                GoComboTextSearch;
    GType               go_combo_text_get_type              (void);
    GtkWidget*          go_combo_text_new                   (GCompareFunc cmp_func);
    GtkWidget*          go_combo_text_glade_new             (void);
    GtkWidget*          go_combo_text_get_entry             (GoComboText *ct);
    gboolean            go_combo_text_set_text              (GoComboText *ct,
                                                             const gchar *text,
                                                             GoComboTextSearch start);
    void                go_combo_text_add_item              (GoComboText *ct,
                                                             const gchar *label);

## Description

## Details

### GO_TYPE_COMBO_TEXT

    #define GO_TYPE_COMBO_TEXT	(go_combo_text_get_type ())

### GO_COMBO_TEXT()

    #define GO_COMBO_TEXT(obj)	(G_TYPE_CHECK_INSTANCE_CAST (obj, GO_TYPE_COMBO_TEXT, GoComboText))

`obj` : |

### IS_GO_COMBO_TEXT()

    #define IS_GO_COMBO_TEXT(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, GO_TYPE_COMBO_TEXT))

`obj` : |

### GoComboText

    typedef struct _GoComboText GoComboText;

### enum GoComboTextSearch

    typedef enum {		/* begin the search from : */
    	GO_COMBO_TEXT_FROM_TOP,	/* the top of the list */
    	GO_COMBO_TEXT_CURRENT,		/* the current selection */
    	GO_COMBO_TEXT_NEXT		/* the next element after current */
    } GoComboTextSearch;

### go_combo_text_get_type ()

    GType               go_combo_text_get_type              (void);

Returns : |

### go_combo_text_new ()

    GtkWidget*          go_combo_text_new                   (GCompareFunc cmp_func);

`cmp_func` : | an optional comparison routine.
Returns : |

### go_combo_text_glade_new ()

    GtkWidget*          go_combo_text_glade_new             (void);

Returns : |

### go_combo_text_get_entry ()

    GtkWidget*          go_combo_text_get_entry             (GoComboText *ct);

`ct` : |
Returns : |

### go_combo_text_set_text ()

    gboolean            go_combo_text_set_text              (GoComboText *ct,
                                                             const gchar *text,
                                                             GoComboTextSearch start);

return TRUE if the item is found in the list.

`ct` : |
`text` : | the label for the new item
`start` : | where to begin the search in the list.
Returns : |

### go_combo_text_add_item ()

    void                go_combo_text_add_item              (GoComboText *ct,
                                                             const gchar *label);

`ct` : | The text combo that will get the new element.
`label` : | the user visible label for the new item